=== debian/changelog ===
heaptrack (1.5.0+p24.04+vstable+git20251015.1233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:33:44 +0000
