=== debian/changelog ===
heaptrack (1.5.0+p24.04+vstable+git20251018.2359-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 18 Oct 2025 23:59:46 +0000
