## heaptrack 1.5.0+p24.04+vstable+git20251231.0330

=== debian/changelog ===
heaptrack (1.5.0+p24.04+vstable+git20251231.0330-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:30:41 +0000
