## heaptrack 1.5.0+p24.04+vstable+git20260103.0401

=== debian/changelog ===
heaptrack (1.5.0+p24.04+vstable+git20260103.0401-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 04:01:50 +0000
