## heaptrack 1.5.0+p24.04+vstable+git20260121.0151

=== debian/changelog ===
heaptrack (1.5.0+p24.04+vstable+git20260121.0151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 21 Jan 2026 01:51:51 +0000

heaptrack (1.5.0) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:24:09 +0000
