=== debian/watch ===
version=4
# https://download.kde.org/stable/heaptrack/([\d.]+)/@PACKAGE@-([\d.]+)\.tar\.xz
https://download.kde.org/Attic/heaptrack/([\d.]+)/@PACKAGE@-([\d.]+)\.tar\.xz
