## heaptrack 1.5.0+p24.04+vunstable+git20251020.1240

=== debian/changelog ===
heaptrack (1.5.0+p24.04+vunstable+git20251020.1240-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:40:40 +0000
