## heaptrack 1.5.0+p24.04+vunstable+git20251110.1223

=== debian/changelog ===
heaptrack (1.5.0+p24.04+vunstable+git20251110.1223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 10 Nov 2025 12:24:07 +0000
