## heaptrack 1.5.0+p24.04+vunstable+git20260121.0151

=== debian/changelog ===
heaptrack (1.5.0+p24.04+vunstable+git20260121.0151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 21 Jan 2026 01:51:51 +0000
