=== debian/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Source: heaptrack
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: devel
 Priority: optional
@@ -11,6 +12,7 @@
                kf6-kio-dev,
                kf6-kitemmodels-dev,
                kf6-threadweaver-dev,
+               libboost-container-dev,
                libboost-filesystem-dev,
                libboost-iostreams-dev,
                libboost-program-options-dev,
@@ -20,6 +22,7 @@
                libdwarf-dev,
                libelf-dev,
                libkchart6-dev,
+               librust-rustc-demangle-dev,
                libsparsehash-dev,
                libunwind-dev,
                libzstd-dev,
@@ -46,7 +49,7 @@
    * Total amount of memory allocated, ignoring deallocations.
    * Leaked memory (like memcheck).
  .
- Heaptrack is notable for it's ability to attach to running processes,
+ Heaptrack is notable for its ability to attach to running processes,
  for consuming substantially less memory than Valgrind, and for not
  reducing an application's interactivity as much as Valgrind does.
  Heaptrack is useful for debugging memory leaks and memory ballooning.
@@ -68,7 +71,7 @@
    * Total amount of memory allocated, ignoring deallocations.
    * Leaked memory (like memcheck).
  .
- Heaptrack is notable for it's ability to attach to running processes,
+ Heaptrack is notable for its ability to attach to running processes,
  for consuming substantially less memory than Valgrind, and for not
  reducing an application's interactivity as much as Valgrind does.
  Heaptrack is useful for debugging memory leaks and memory ballooning.
@@ -90,7 +93,7 @@
    * Total amount of memory allocated, ignoring deallocations.
    * Leaked memory (like memcheck).
  .
- Heaptrack is notable for it's ability to attach to running processes,
+ Heaptrack is notable for its ability to attach to running processes,
  for consuming substantially less memory than Valgrind, and for not
  reducing an application's interactivity as much as Valgrind does.
  Heaptrack is useful for debugging memory leaks and memory ballooning.
