=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: LGPL-2.0-or-later
 # # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>
 
-#!/usr/bin/make -f
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 BUILDDIR = $(CURDIR)/debian/build
 %:
 	dh $@ --with kf6 --buildsystem kf6 --builddirectory=$(BUILDDIR)
