## heaptrack 1.5.0+p24.04+vunstable+git20260131.0122

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,4 @@
-if (CMAKE_VERSION VERSION_LESS "2.8.12")
-    cmake_minimum_required(VERSION 2.8.9)
-    set(HEAPTRACK_BUILD_GUI OFF)
-elseif (CMAKE_VERSION VERSION_LESS "3.16.0")
-    cmake_minimum_required(VERSION 2.8.12)
-else()
-    cmake_minimum_required(VERSION 3.16.0)
-endif()
+cmake_minimum_required(VERSION 3.16.0)
 
 project(heaptrack)
 enable_testing()
@@ -17,8 +10,8 @@
 
 set(HEAPTRACK_VERSION_MAJOR 1)
 set(HEAPTRACK_VERSION_MINOR 6)
-set(HEAPTRACK_VERSION_PATCH 0)
-set(HEAPTRACK_LIB_VERSION 1.6.0)
+set(HEAPTRACK_VERSION_PATCH 80)
+set(HEAPTRACK_LIB_VERSION 1.6.80)
 set(HEAPTRACK_LIB_SOVERSION 2)
 set(HEAPTRACK_FILE_FORMAT_VERSION 3)
 
@@ -32,12 +25,12 @@
 endif()
 
 include(FeatureSummary)
-find_package(Boost 1.60.0 ${REQUIRED_IN_APPIMAGE} COMPONENTS system filesystem iostreams container)
+find_package(Boost 1.70.0 CONFIG ${REQUIRED_IN_APPIMAGE} COMPONENTS filesystem iostreams container)
 set_package_properties(Boost PROPERTIES TYPE RECOMMENDED PURPOSE "Boost container libraries can greatly improve performance (via pmr allocators)")
 find_package(Threads REQUIRED)
 find_package(ZLIB REQUIRED)
 
-if (${Boost_IOSTREAMS_FOUND})
+if (Boost_IOSTREAMS_FOUND)
     find_package(ZSTD ${REQUIRED_IN_APPIMAGE})
 
     include(CheckCXXSourceCompiles)
@@ -91,19 +84,8 @@
   ${HEAPTRACK_BUILD_ANALYZE_DEFAULT}
 )
 
-option(
-  HEAPTRACK_USE_QT6
-  "Use Qt6/KF6 when building the Qt / KDE Frameworks based GUI for heaptrack."
-  ON
-)
-if(HEAPTRACK_USE_QT6)
-    set(QT_VERSION_MAJOR 6)
-    # possibly works with older Qt6, but I didn't test that yet
-    set(QT_MIN_VERSION 6.5.0)
-else()
-    set(QT_VERSION_MAJOR 5)
-    set(QT_MIN_VERSION 5.10.0)
-endif()
+# possibly works with older Qt6, but I didn't test that yet
+set(QT_MIN_VERSION 6.5.0)
 
 option(
   HEAPTRACK_USE_LIBUNWIND
