=== debian/changelog ===
heaptrack (1.5.0+p24.04+vunstable+git20260131.0122-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:22:35 +0000
